package maze.searchers;

public interface Searcher<T> {
	default public boolean isEmpty() {return size() == 0;}
	
	public int size();
	
	public int capacity();
	
	public T remove();
	
	public void add(T data);
	
	public T peek();
}
